Bug 1027034 - [abrt] system-config-printer-1.4.3-2.fc20: Py_FatalError: Process /usr/bin/python2.7 was killed by signal 6 (SIGABRT)
[abrt] system-config-printer-1.4.3-2.fc20: Py_FatalError: Process /usr/bin/py...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: cups (Show other bugs)
20
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tim Waugh
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:d22a26eb196874747993f963fc0...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-05 18:30 EST by Dan Mossor [danofsatx]
Modified: 2015-06-29 08:49 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 08:49:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (113.37 KB, text/plain)
2013-11-05 18:30 EST, Dan Mossor [danofsatx]
no flags Details
File: build_ids (5.65 KB, text/plain)
2013-11-05 18:30 EST, Dan Mossor [danofsatx]
no flags Details
File: cgroup (159 bytes, text/plain)
2013-11-05 18:30 EST, Dan Mossor [danofsatx]
no flags Details
File: core_backtrace (41.19 KB, text/plain)
2013-11-05 18:30 EST, Dan Mossor [danofsatx]
no flags Details
File: dso_list (15.56 KB, text/plain)
2013-11-05 18:30 EST, Dan Mossor [danofsatx]
no flags Details
File: environ (2.80 KB, text/plain)
2013-11-05 18:30 EST, Dan Mossor [danofsatx]
no flags Details
File: limits (1.29 KB, text/plain)
2013-11-05 18:30 EST, Dan Mossor [danofsatx]
no flags Details
File: maps (71.21 KB, text/plain)
2013-11-05 18:30 EST, Dan Mossor [danofsatx]
no flags Details
File: open_fds (1.37 KB, text/plain)
2013-11-05 18:30 EST, Dan Mossor [danofsatx]
no flags Details
File: proc_pid_status (914 bytes, text/plain)
2013-11-05 18:30 EST, Dan Mossor [danofsatx]
no flags Details
File: var_log_messages (358 bytes, text/plain)
2013-11-05 18:30 EST, Dan Mossor [danofsatx]
no flags Details

  None (edit)
Description Dan Mossor [danofsatx] 2013-11-05 18:30:12 EST
Description of problem:
Was running the printer troubleshooter. It got stuck and my cups error log was in runaway (still is, actually, now at 25GB). Killed the troubleshooter, and the ABRT report poppeed up.

Version-Release number of selected component:
system-config-printer-1.4.3-2.fc20

Additional info:
reporter:       libreport-2.1.9
backtrace_rating: 4
cmdline:        /usr/bin/python /usr/share/system-config-printer/system-config-printer.py
crash_function: Py_FatalError
executable:     /usr/bin/python2.7
kernel:         3.11.6-302.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            0

Truncated backtrace:
Thread no. 1 (10 frames)
 #2 Py_FatalError at /usr/src/debug/Python-2.7.5/Python/pythonrun.c:1697
 #3 PyEval_RestoreThread at /usr/src/debug/Python-2.7.5/Python/ceval.c:375
 #4 Connection_end_allow_threads at cupsconnection.c:348
 #5 Connection_adminSetServerSettings at cupsconnection.c:3891
 #6 PyObject_Call at /usr/src/debug/Python-2.7.5/Objects/abstract.c:2529
 #7 ext_do_call at /usr/src/debug/Python-2.7.5/Python/ceval.c:4411
 #8 PyEval_EvalFrameEx at /usr/src/debug/Python-2.7.5/Python/ceval.c:2779
 #9 PyEval_EvalCodeEx at /usr/src/debug/Python-2.7.5/Python/ceval.c:3330
 #10 function_call at /usr/src/debug/Python-2.7.5/Objects/funcobject.c:526
 #11 PyObject_Call at /usr/src/debug/Python-2.7.5/Objects/abstract.c:2529
Comment 1 Dan Mossor [danofsatx] 2013-11-05 18:30:19 EST
Created attachment 820079 [details]
File: backtrace
Comment 2 Dan Mossor [danofsatx] 2013-11-05 18:30:25 EST
Created attachment 820080 [details]
File: build_ids
Comment 3 Dan Mossor [danofsatx] 2013-11-05 18:30:28 EST
Created attachment 820081 [details]
File: cgroup
Comment 4 Dan Mossor [danofsatx] 2013-11-05 18:30:31 EST
Created attachment 820082 [details]
File: core_backtrace
Comment 5 Dan Mossor [danofsatx] 2013-11-05 18:30:34 EST
Created attachment 820083 [details]
File: dso_list
Comment 6 Dan Mossor [danofsatx] 2013-11-05 18:30:37 EST
Created attachment 820084 [details]
File: environ
Comment 7 Dan Mossor [danofsatx] 2013-11-05 18:30:39 EST
Created attachment 820085 [details]
File: limits
Comment 8 Dan Mossor [danofsatx] 2013-11-05 18:30:43 EST
Created attachment 820086 [details]
File: maps
Comment 9 Dan Mossor [danofsatx] 2013-11-05 18:30:45 EST
Created attachment 820087 [details]
File: open_fds
Comment 10 Dan Mossor [danofsatx] 2013-11-05 18:30:48 EST
Created attachment 820088 [details]
File: proc_pid_status
Comment 11 Dan Mossor [danofsatx] 2013-11-05 18:30:51 EST
Created attachment 820089 [details]
File: var_log_messages
Comment 12 Jiri Popelka 2013-11-06 06:35:29 EST
(In reply to Dan Mossor from comment #0)
> Truncated backtrace:
> Thread no. 1 (10 frames)
>  #2 Py_FatalError at /usr/src/debug/Python-2.7.5/Python/pythonrun.c:1697
>  #3 PyEval_RestoreThread at /usr/src/debug/Python-2.7.5/Python/ceval.c:375
>  #4 Connection_end_allow_threads at cupsconnection.c:348
>  #5 Connection_adminSetServerSettings at cupsconnection.c:3891

~> python-cups
Comment 13 Tim Waugh 2013-11-20 07:18:10 EST
So, tstate is NULL here. That can't really happen, following the logic of the code.

PyEval_SaveThread() is always called before this PyEval_RestoreThread() call, and the value is saved into memory already allocated (self). If low memory conditions caused PyEval_SaveThread() to fail and end up with a NULL value to return, it would have already called Py_FatalError(). We know Py_FatalError() is working OK because that's what PyEval_RestoreThread() called to abort.

That only really leaves the possibility of a memory scribble in cupsAdminSetServerSettings.
Comment 14 Tim Waugh 2013-11-20 12:45:10 EST
The only likely-looking candidate in cupsAdminSetServerSettings() that I can see is invalidate_cupsd_cache():

static void
invalidate_cupsd_cache(
    _cups_globals_t *cg)                /* I - Global data */
{
  cupsFreeOptions(cg->cupsd_num_settings, cg->cupsd_settings);

  cg->cupsd_hostname[0]  = '\0';
  cg->cupsd_update       = 0;
  cg->cupsd_num_settings = 0;
  cg->cupsd_settings     = NULL;
}

...but I can't really see how cg would end up being bad.
Comment 15 Fedora End Of Life 2015-05-29 05:41:58 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 16 Fedora End Of Life 2015-06-29 08:49:10 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.